Summary: The process which starts the flushing of dirty buffers back to disk.
Name: bdflush
Version: 1.5
Release: 15mdk
Copyright: None
Group: System/Kernel and hardware
Source: ftp://tsx-11.mit.edu/pub/linux/sources/system/v1.2/bdflush-1.5.tar.bz2
Patch: bdflush-1.5-axp.patch.bz2
Patch1: bdflush-1.5-glibc.patch.bz2
Buildroot: %{_tmppath}/bdflush-root

%description
The bdflush process starts the kernel daemon which flushes dirty
buffers back to disk (i.e., writes all unwritten data to disk).
This helps to prevent the buffers from growing too stale.

Bdflush is a basic system process that must run for your system
to operate properly.

%define intel i386 i486 i586 i686 k6
%ifarch %{intel}
%package lowmem
Summary: Smaller version of bdflush written in assembler
Group: System/Kernel and hardware

%description lowmem
The bdflush process starts the kernel daemon which flushes dirty
buffers back to disk (i.e., writes all unwritten data to disk).
This helps to prevent the buffers from growing too stale.

Bdflush is a basic system process that must run for your system
to operate properly.

This version is written completely in Assembler. It has less features, but
uses up far less memory.
%endif

%prep
%setup

%patch -p1
%patch1 -p1 -b .glibc

perl -p -i -e "s/-Wall -O2/$RPM_OPT_FLAGS/" Makefile

%build
make bdflush

%ifarch %{intel}
cd laptop ; perl -pi -e 's/!.*//' *.s ; make
%endif

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/sbin
mkdir -p $RPM_BUILD_ROOT/usr/man/man8
%ifarch %{intel}
ln -sf update $RPM_BUILD_ROOT/sbin/bdflushd
ln -sf update $RPM_BUILD_ROOT/sbin/updated
%endif
install -s -m 755 bdflush $RPM_BUILD_ROOT/sbin/update

install -m 644 bdflush.8 $RPM_BUILD_ROOT/usr/man/man8/bdflush.8
ln -sf bdflush.8 $RPM_BUILD_ROOT/usr/man/man8/update.8

%clean
rm -rf $RPM_BUILD_ROOT

%files
%attr(-,root,root) /sbin/update
%attr(-,root,root) /usr/man/man8/bdflush.8*
%attr(-,root,root) /usr/man/man8/update.8*

%ifarch %{intel}
%files lowmem
%defattr(-,root,root)
%doc laptop/README
/sbin/updated
/sbin/bdflushd
%endif

%changelog
* Wed Mar 29 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.5-15mdk
- Add doc for lowmem package.
- Make static link symbolic.
- Clean-up specs.
- Upgrade groups.

* Wed Nov 24 1999 Pixel <pixel@linux-mandrake.com>
- re-alpha adaptation (i386<>i586)
- alpha adaptation (no lowmem)
- removed the stupid asnonroot patch

* Tue Oct 19 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Build release.

* Fri Apr  9 1999 Bernhard Rosenkraenzer <bero@linux-mandrake.com>
- Mandrake adaptions
- bzip2 man/info pages
- handle RPM_OPT_FLAGS
- add de locale
- build lowmem version

* Wed Jan 06 1999 Cristian Gafton <gafton@redhat.com>
- glibc 2.1

* Tue May 05 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Sun Oct 19 1997 Erik Troan <ewt@redhat.com>
- spec file cleanups
- uses a build root
- user %attr()

* Wed Sep 03 1997 Erik Troan <ewt@redhat.com>
- alpha patch should be applied on all architectures

* Mon Jun 02 1997 Erik Troan <ewt@redhat.com>
- built against glibc

